Skip to main content
GET
/
cloud
/
v1
/
reserved_fixed_ips
/
{project_id}
/
{region_id}
List reserved fixed IPs
curl --request GET \
  --url https://api.gcore.com/cloud/v1/reserved_fixed_ips/{project_id}/{region_id} \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "allowed_address_pairs": [
        {
          "ip_address": "192.168.123.20",
          "mac_address": "00:16:3e:f2:87:16"
        },
        {
          "ip_address": "192.168.0.2",
          "mac_address": "00:16:3e:f2:87:89"
        }
      ],
      "attachments": [
        {
          "resource_id": "e3c6ee77-48cb-416b-b204-11b492cc776e3",
          "resource_type": "instance"
        },
        {
          "resource_id": "e73a4dbd-da04-4b6e-8ef9-07e8742001b7",
          "resource_type": "ai_cluster"
        }
      ],
      "created_at": "2019-06-18T11:56:16+0000",
      "is_external": false,
      "is_vip": false,
      "name": "Reserved fixed ip 10.100.179.44",
      "network": {
        "created_at": "2019-06-18T11:56:16+0000",
        "creator_task_id": "fd50fdd1-0482-4c9b-b847-fc9924665af6",
        "default": true,
        "external": true,
        "id": "eed97610-708d-43a5-a9a5-caebd2b7b4ee",
        "mtu": 1500,
        "name": "public",
        "port_security_enabled": true,
        "project_id": 1337,
        "region": "Luxembourg 1",
        "region_id": 7,
        "segmentation_id": 9,
        "shared": false,
        "subnets": [
          "f00624ab-41bc-4d54-a723-1673ce32d997",
          "41e0f698-4d39-483b-b77a-18eb070e4c09"
        ],
        "tags": [
          {
            "key": "my-tag",
            "read_only": false,
            "value": "my-tag-value"
          }
        ],
        "task_id": null,
        "type": "vlan",
        "updated_at": "2019-06-18T11:57:00+0000"
      },
      "network_id": "eed97610-708d-43a5-a9a5-caebd2b7b4ee",
      "port_id": "817c8a3d-bb67-4b88-a0d1-aec980318ff1",
      "region": "Luxembourg 1",
      "region_id": 7,
      "reservation": {
        "resource_id": "83ed4ea6-bcae-4100-9e4d-36e541ff919b",
        "resource_type": "instance",
        "status": "attached"
      },
      "status": "DOWN",
      "updated_at": "2019-06-18T11:57:00+0000",
      "creator_task_id": "30378aea-9343-4ff6-be38-9756094e05da",
      "fixed_ip_address": "10.100.179.44",
      "fixed_ipv6_address": null,
      "project_id": 1337,
      "subnet_id": "747db04a-2aac-4fda-9492-d9b85a798c09",
      "subnet_v6_id": null,
      "task_id": null
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

4

Query Parameters

available_only
boolean
default:false

Set True if response should only list IP addresses that are not attached to any instance

device_id
string

Filter IPs by device ID it is attached to

external_only
boolean
default:false

Set to true if the response should only list public IP addresses

internal_only
boolean
default:false

Set to true if the response should only list private IP addresses

ip_address
string

Optional. An IPv4 address to filter results by. Regular expression allowed

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

order_by
enum<string>
default:fixed_ip_address.asc

Optional. Ordering reserved fixed IP list result by name, status, updated_at, fixed_ip_address or created_at fields of the reserved fixed IP and directions (status.asc).

Available options:
created_at.asc,
created_at.desc,
fixed_ip_address.asc,
fixed_ip_address.desc,
name.asc,
name.desc,
status.asc,
status.desc,
updated_at.asc,
updated_at.desc
vip_only
boolean
default:false

Set to true if the response should only list VIPs

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
ReservedFixedIPSerializer · object[]
required

Objects